from a10sdk.common.A10BaseClass import A10BaseClass


class SamplingEnable(A10BaseClass):
    
    """This class does not support CRUD Operations please use parent.

    :param counters1: {"enum": ["all", "status_200", "status_201", "status_202", "status_203", "status_204", "status_205", "status_206", "status_207", "status_100", "status_101", "status_102", "status_103", "status_300", "status_301", "status_302", "status_303", "status_304", "status_305", "status_306", "status_307", "status_400", "status_401", "status_402", "status_403", "status_404", "status_405", "status_406", "status_407", "status_408", "status_409", "status_410", "status_411", "status_412", "status_413", "status_414", "status_415", "status_416", "status_417", "status_418", "status_422", "status_423", "status_424", "status_425", "status_426", "status_449", "status_450", "status_500", "status_501", "status_502", "status_503", "status_504", "status_504_ax", "status_505", "status_506", "status_507", "status_508", "status_509", "status_510", "status_1xx", "status_2xx", "status_3xx", "status_4xx", "status_5xx", "status_6xx", "status_unknown", "ws_handshake_request", "ws_handshake_success", "ws_client_switch", "ws_server_switch", "REQ_10u", "REQ_20u", "REQ_50u", "REQ_100u", "REQ_200u", "REQ_500u", "REQ_1m", "REQ_2m", "REQ_5m", "REQ_10m", "REQ_20m", "REQ_50m", "REQ_100m", "REQ_200m", "REQ_500m", "REQ_1s", "REQ_2s", "REQ_5s", "REQ_OVER_5s"], "type": "string", "description": "'all': all; 'status_200': Status code 200; 'status_201': Status code 201; 'status_202': Status code 202; 'status_203': Status code 203; 'status_204': Status code 204; 'status_205': Status code 205; 'status_206': Status code 206; 'status_207': Status code 207; 'status_100': Status code 100; 'status_101': Status code 101; 'status_102': Status code 102; 'status_103': Status code 103; 'status_300': Status code 300; 'status_301': Status code 301; 'status_302': Status code 302; 'status_303': Status code 303; 'status_304': Status code 304; 'status_305': Status code 305; 'status_306': Status code 306; 'status_307': Status code 307; 'status_400': Status code 400; 'status_401': Status code 401; 'status_402': Status code 402; 'status_403': Status code 403; 'status_404': Status code 404; 'status_405': Status code 405; 'status_406': Status code 406; 'status_407': Status code 407; 'status_408': Status code 408; 'status_409': Status code 409; 'status_410': Status code 410; 'status_411': Status code 411; 'status_412': Status code 412; 'status_413': Status code 413; 'status_414': Status code 414; 'status_415': Status code 415; 'status_416': Status code 416; 'status_417': Status code 417; 'status_418': Status code 418; 'status_422': Status code 422; 'status_423': Status code 423; 'status_424': Status code 424; 'status_425': Status code 425; 'status_426': Status code 426; 'status_449': Status code 449; 'status_450': Status code 450; 'status_500': Status code 500; 'status_501': Status code 501; 'status_502': Status code 502; 'status_503': Status code 503; 'status_504': Status code 504; 'status_504_ax': Status code 504 AX-gen; 'status_505': Status code 505; 'status_506': Status code 506; 'status_507': Status code 507; 'status_508': Status code 508; 'status_509': Status code 509; 'status_510': Status code 510; 'status_1xx': status code 1XX; 'status_2xx': status code 2XX; 'status_3xx': status code 3XX; 'status_4xx': status code 4XX; 'status_5xx': status code 5XX; 'status_6xx': status code 6XX; 'status_unknown': Status code unknown; 'ws_handshake_request': WS Handshake Req; 'ws_handshake_success': WS Handshake Res; 'ws_client_switch': WS Client Pkts; 'ws_server_switch': WS Server Pkts; 'REQ_10u': Rsp time less than 10u; 'REQ_20u': Rsp time less than 20u; 'REQ_50u': Rsp time less than 50u; 'REQ_100u': Rsp time less than 100u; 'REQ_200u': Rsp time less than 200u; 'REQ_500u': Rsp time less than 500u; 'REQ_1m': Rsp time less than 1m; 'REQ_2m': Rsp time less than 2m; 'REQ_5m': Rsp time less than 5m; 'REQ_10m': Rsp time less than 10m; 'REQ_20m': Rsp time less than 20m; 'REQ_50m': Rsp time less than 5m; 'REQ_100m': Rsp time less than 100m; 'REQ_200m': Rsp time less than 200m; 'REQ_500m': Rsp time less than 500m; 'REQ_1s': Rsp time less than 1s; 'REQ_2s': Rsp time less than 2s; 'REQ_5s': Rsp time less than 5s; 'REQ_OVER_5s': Rsp time greater than equal to 5s; ", "format": "enum"}
    :param DeviceProxy: The device proxy for REST operations and session handling. Refer to `common/device_proxy.py`

    

    
    """
    def __init__(self, **kwargs):
        self.ERROR_MSG = ""
        
        self.b_key = "sampling-enable"
        self.DeviceProxy = ""
        self.counters1 = ""

        for keys, value in kwargs.items():
            setattr(self,keys, value)


class Http_VportList(A10BaseClass):
    
    """This class does not support CRUD Operations please use parent.

    :param sampling_enable: {"minItems": 1, "items": {"type": "object"}, "uniqueItems": true, "type": "array", "array": [{"properties": {"optional": true, "counters1": {"enum": ["all", "status_200", "status_201", "status_202", "status_203", "status_204", "status_205", "status_206", "status_207", "status_100", "status_101", "status_102", "status_103", "status_300", "status_301", "status_302", "status_303", "status_304", "status_305", "status_306", "status_307", "status_400", "status_401", "status_402", "status_403", "status_404", "status_405", "status_406", "status_407", "status_408", "status_409", "status_410", "status_411", "status_412", "status_413", "status_414", "status_415", "status_416", "status_417", "status_418", "status_422", "status_423", "status_424", "status_425", "status_426", "status_449", "status_450", "status_500", "status_501", "status_502", "status_503", "status_504", "status_504_ax", "status_505", "status_506", "status_507", "status_508", "status_509", "status_510", "status_1xx", "status_2xx", "status_3xx", "status_4xx", "status_5xx", "status_6xx", "status_unknown", "ws_handshake_request", "ws_handshake_success", "ws_client_switch", "ws_server_switch", "REQ_10u", "REQ_20u", "REQ_50u", "REQ_100u", "REQ_200u", "REQ_500u", "REQ_1m", "REQ_2m", "REQ_5m", "REQ_10m", "REQ_20m", "REQ_50m", "REQ_100m", "REQ_200m", "REQ_500m", "REQ_1s", "REQ_2s", "REQ_5s", "REQ_OVER_5s"], "type": "string", "description": "'all': all; 'status_200': Status code 200; 'status_201': Status code 201; 'status_202': Status code 202; 'status_203': Status code 203; 'status_204': Status code 204; 'status_205': Status code 205; 'status_206': Status code 206; 'status_207': Status code 207; 'status_100': Status code 100; 'status_101': Status code 101; 'status_102': Status code 102; 'status_103': Status code 103; 'status_300': Status code 300; 'status_301': Status code 301; 'status_302': Status code 302; 'status_303': Status code 303; 'status_304': Status code 304; 'status_305': Status code 305; 'status_306': Status code 306; 'status_307': Status code 307; 'status_400': Status code 400; 'status_401': Status code 401; 'status_402': Status code 402; 'status_403': Status code 403; 'status_404': Status code 404; 'status_405': Status code 405; 'status_406': Status code 406; 'status_407': Status code 407; 'status_408': Status code 408; 'status_409': Status code 409; 'status_410': Status code 410; 'status_411': Status code 411; 'status_412': Status code 412; 'status_413': Status code 413; 'status_414': Status code 414; 'status_415': Status code 415; 'status_416': Status code 416; 'status_417': Status code 417; 'status_418': Status code 418; 'status_422': Status code 422; 'status_423': Status code 423; 'status_424': Status code 424; 'status_425': Status code 425; 'status_426': Status code 426; 'status_449': Status code 449; 'status_450': Status code 450; 'status_500': Status code 500; 'status_501': Status code 501; 'status_502': Status code 502; 'status_503': Status code 503; 'status_504': Status code 504; 'status_504_ax': Status code 504 AX-gen; 'status_505': Status code 505; 'status_506': Status code 506; 'status_507': Status code 507; 'status_508': Status code 508; 'status_509': Status code 509; 'status_510': Status code 510; 'status_1xx': status code 1XX; 'status_2xx': status code 2XX; 'status_3xx': status code 3XX; 'status_4xx': status code 4XX; 'status_5xx': status code 5XX; 'status_6xx': status code 6XX; 'status_unknown': Status code unknown; 'ws_handshake_request': WS Handshake Req; 'ws_handshake_success': WS Handshake Res; 'ws_client_switch': WS Client Pkts; 'ws_server_switch': WS Server Pkts; 'REQ_10u': Rsp time less than 10u; 'REQ_20u': Rsp time less than 20u; 'REQ_50u': Rsp time less than 50u; 'REQ_100u': Rsp time less than 100u; 'REQ_200u': Rsp time less than 200u; 'REQ_500u': Rsp time less than 500u; 'REQ_1m': Rsp time less than 1m; 'REQ_2m': Rsp time less than 2m; 'REQ_5m': Rsp time less than 5m; 'REQ_10m': Rsp time less than 10m; 'REQ_20m': Rsp time less than 20m; 'REQ_50m': Rsp time less than 5m; 'REQ_100m': Rsp time less than 100m; 'REQ_200m': Rsp time less than 200m; 'REQ_500m': Rsp time less than 500m; 'REQ_1s': Rsp time less than 1s; 'REQ_2s': Rsp time less than 2s; 'REQ_5s': Rsp time less than 5s; 'REQ_OVER_5s': Rsp time greater than equal to 5s; ", "format": "enum"}}}]}
    :param DeviceProxy: The device proxy for REST operations and session handling. Refer to `common/device_proxy.py`

    

    
    """
    def __init__(self, **kwargs):
        self.ERROR_MSG = ""
        
        self.b_key = "http_vport-list"
        self.DeviceProxy = ""
        self.sampling_enable = []

        for keys, value in kwargs.items():
            setattr(self,keys, value)


class Counter(A10BaseClass):
    
    """    :param acl_list: {"minItems": 1, "items": {"type": "acl"}, "uniqueItems": true, "array": [{"required": ["sampling-enable"], "properties": {"sampling-enable": {"minItems": 1, "items": {"type": "object"}, "uniqueItems": true, "type": "array", "array": [{"properties": {"optional": true, "counters1": {"enum": ["all", "hit_count"], "type": "string", "description": "'all': all; 'hit_count': hit_count; ", "format": "enum"}}}]}}}], "type": "array", "$ref": "/axapi/v3/counter/acl/{sampling-enable}"}
    :param http_vport_list: {"minItems": 1, "items": {"type": "http_vport"}, "uniqueItems": true, "array": [{"required": ["sampling-enable"], "properties": {"sampling-enable": {"minItems": 1, "items": {"type": "object"}, "uniqueItems": true, "type": "array", "array": [{"properties": {"optional": true, "counters1": {"enum": ["all", "status_200", "status_201", "status_202", "status_203", "status_204", "status_205", "status_206", "status_207", "status_100", "status_101", "status_102", "status_103", "status_300", "status_301", "status_302", "status_303", "status_304", "status_305", "status_306", "status_307", "status_400", "status_401", "status_402", "status_403", "status_404", "status_405", "status_406", "status_407", "status_408", "status_409", "status_410", "status_411", "status_412", "status_413", "status_414", "status_415", "status_416", "status_417", "status_418", "status_422", "status_423", "status_424", "status_425", "status_426", "status_449", "status_450", "status_500", "status_501", "status_502", "status_503", "status_504", "status_504_ax", "status_505", "status_506", "status_507", "status_508", "status_509", "status_510", "status_1xx", "status_2xx", "status_3xx", "status_4xx", "status_5xx", "status_6xx", "status_unknown", "ws_handshake_request", "ws_handshake_success", "ws_client_switch", "ws_server_switch", "REQ_10u", "REQ_20u", "REQ_50u", "REQ_100u", "REQ_200u", "REQ_500u", "REQ_1m", "REQ_2m", "REQ_5m", "REQ_10m", "REQ_20m", "REQ_50m", "REQ_100m", "REQ_200m", "REQ_500m", "REQ_1s", "REQ_2s", "REQ_5s", "REQ_OVER_5s"], "type": "string", "description": "'all': all; 'status_200': Status code 200; 'status_201': Status code 201; 'status_202': Status code 202; 'status_203': Status code 203; 'status_204': Status code 204; 'status_205': Status code 205; 'status_206': Status code 206; 'status_207': Status code 207; 'status_100': Status code 100; 'status_101': Status code 101; 'status_102': Status code 102; 'status_103': Status code 103; 'status_300': Status code 300; 'status_301': Status code 301; 'status_302': Status code 302; 'status_303': Status code 303; 'status_304': Status code 304; 'status_305': Status code 305; 'status_306': Status code 306; 'status_307': Status code 307; 'status_400': Status code 400; 'status_401': Status code 401; 'status_402': Status code 402; 'status_403': Status code 403; 'status_404': Status code 404; 'status_405': Status code 405; 'status_406': Status code 406; 'status_407': Status code 407; 'status_408': Status code 408; 'status_409': Status code 409; 'status_410': Status code 410; 'status_411': Status code 411; 'status_412': Status code 412; 'status_413': Status code 413; 'status_414': Status code 414; 'status_415': Status code 415; 'status_416': Status code 416; 'status_417': Status code 417; 'status_418': Status code 418; 'status_422': Status code 422; 'status_423': Status code 423; 'status_424': Status code 424; 'status_425': Status code 425; 'status_426': Status code 426; 'status_449': Status code 449; 'status_450': Status code 450; 'status_500': Status code 500; 'status_501': Status code 501; 'status_502': Status code 502; 'status_503': Status code 503; 'status_504': Status code 504; 'status_504_ax': Status code 504 AX-gen; 'status_505': Status code 505; 'status_506': Status code 506; 'status_507': Status code 507; 'status_508': Status code 508; 'status_509': Status code 509; 'status_510': Status code 510; 'status_1xx': status code 1XX; 'status_2xx': status code 2XX; 'status_3xx': status code 3XX; 'status_4xx': status code 4XX; 'status_5xx': status code 5XX; 'status_6xx': status code 6XX; 'status_unknown': Status code unknown; 'ws_handshake_request': WS Handshake Req; 'ws_handshake_success': WS Handshake Res; 'ws_client_switch': WS Client Pkts; 'ws_server_switch': WS Server Pkts; 'REQ_10u': Rsp time less than 10u; 'REQ_20u': Rsp time less than 20u; 'REQ_50u': Rsp time less than 50u; 'REQ_100u': Rsp time less than 100u; 'REQ_200u': Rsp time less than 200u; 'REQ_500u': Rsp time less than 500u; 'REQ_1m': Rsp time less than 1m; 'REQ_2m': Rsp time less than 2m; 'REQ_5m': Rsp time less than 5m; 'REQ_10m': Rsp time less than 10m; 'REQ_20m': Rsp time less than 20m; 'REQ_50m': Rsp time less than 5m; 'REQ_100m': Rsp time less than 100m; 'REQ_200m': Rsp time less than 200m; 'REQ_500m': Rsp time less than 500m; 'REQ_1s': Rsp time less than 1s; 'REQ_2s': Rsp time less than 2s; 'REQ_5s': Rsp time less than 5s; 'REQ_OVER_5s': Rsp time greater than equal to 5s; ", "format": "enum"}}}]}}}], "type": "array", "$ref": "/axapi/v3/counter/http_vport/{sampling-enable}"}
    :param port_diameter_list: {"minItems": 1, "items": {"type": "port-diameter"}, "uniqueItems": true, "array": [{"required": ["sampling-enable"], "properties": {"sampling-enable": {"minItems": 1, "items": {"type": "object"}, "uniqueItems": true, "type": "array", "array": [{"properties": {"optional": true, "counters1": {"enum": ["all", "num", "curr", "total", "svrsel_fail", "no_route", "snat_fail", "client_fail", "server_fail", "no_sess", "user_session", "acr_out", "acr_in", "aca_out", "aca_in", "cea_out", "cea_in", "cer_out", "cer_in", "dwr_out", "dwr_in", "dwa_out", "dwa_in", "str_out", "str_in", "sta_out", "sta_in", "asr_out", "asr_in", "asa_out", "asa_in", "other_out", "other_in"], "type": "string", "description": "'all': all; 'num': Number; 'curr': Current; 'total': Total; 'svrsel_fail': Number of server selection failed; 'no_route': Number of no routes; 'snat_fail': Number of snat failures; 'client_fail': Number of client failures; 'server_fail': Number of server failures; 'no_sess': Number of no sessions; 'user_session': Number of user sessions; 'acr_out': Number of ACRs out; 'acr_in': Number of ACRs in; 'aca_out': Number of ACAs out; 'aca_in': Number of ACAs in; 'cea_out': Number of CEAs out; 'cea_in': Number of CEAs in; 'cer_out': Number of CERs out; 'cer_in': Number of CERs in; 'dwr_out': Number of DWRs out; 'dwr_in': Number of DWRs in; 'dwa_out': Number of DWAs out; 'dwa_in': Number of DWAs in; 'str_out': Number of STRs out; 'str_in': Number of STRs in; 'sta_out': Number of STAs out; 'sta_in': Number of STAs in; 'asr_out': Number of ASRs out; 'asr_in': Number of ASRs in; 'asa_out': Number of ASAs out; 'asa_in': Number of ASAs in; 'other_out': Number of other messages out; 'other_in': Number of other messages in; ", "format": "enum"}}}]}}}], "type": "array", "$ref": "/axapi/v3/counter/port-diameter/{sampling-enable}"}
    :param vtep_list: {"minItems": 1, "items": {"type": "vtep"}, "uniqueItems": true, "array": [{"required": ["sampling-enable"], "properties": {"sampling-enable": {"minItems": 1, "items": {"type": "object"}, "uniqueItems": true, "type": "array", "array": [{"properties": {"optional": true, "counters1": {"enum": ["all", "cfg_vtep_error", "tx_flood_pkts", "tx_encap_unresolved_pkts", "tx_encap_missing_pkts", "tx_encap_bad_pkts", "tx_arp_req_sent_pkts", "rx_host_learned", "rx_host_learn_error", "rx_lif_invalid", "tx_lif_invalid", "tx_vtep_unknown", "rx_vtep_unknown", "rx_unhandled_pkts", "tx_unhandled_pkts", "rx_pkts", "rx_bytes", "rx_ucast_pkts", "rx_bcast_pkts", "rx_mcast_pkts", "rx_dropped_pkts", "rx_encap_miss_pkts", "rx_bad_checksum_pkts", "rx_requeued_pkts", "tx_pkts", "tx_bytes", "tx_ucast_pkts", "tx_bcast_pkts", "tx_mcast_pkts", "tx_dropped_pkts", "rx_pkts_too_large", "rx_dot1q_ptks", "tx_fragmented_pkts", "rx_reassembled_pkts", "rx_bad_inner_ipv4_len_pkts", "rx_bad_inner_ipv6_len_pkts", "rx_lif_uninit"], "type": "string", "description": "'all': all; 'cfg_vtep_error': Config Error: Drop Packet; 'tx_flood_pkts': Out Flooded Packets; 'tx_encap_unresolved_pkts': Remote Vtep unreachable: Drop Tx; 'tx_encap_missing_pkts': Remote Vtep unreachable: Drop Tx; 'tx_encap_bad_pkts': Remote Vtep unreachable: Drop Tx; 'tx_arp_req_sent_pkts': Number of Arp Requests Sent; 'rx_host_learned': Number of Host =; 'rx_host_learn_error': Number of Host =; 'rx_lif_invalid': Invalid Lif: Drop Rx; 'tx_lif_invalid': Invalid Lif: Drop Tx; 'tx_vtep_unknown': Vtep unknown: Drop Tx; 'rx_vtep_unknown': Vtep unknown: Drop Rx; 'rx_unhandled_pkts': Unhandled Packets: Drop Rx; 'tx_unhandled_pkts': Unhandled Packets: Drop Tx; 'rx_pkts': In Total Packets; 'rx_bytes': In Total Octets; 'rx_ucast_pkts': In Unicast Packets; 'rx_bcast_pkts': In Broadcast Packets; 'rx_mcast_pkts': Out Multicast Packets; 'rx_dropped_pkts': In Dropped Packets; 'rx_encap_miss_pkts': Remote Vtep unreachable: Drop Tx; 'rx_bad_checksum_pkts': Packet reveived with Bad Inner checksum; 'rx_requeued_pkts': Packets requeued to another CPU; 'tx_pkts': Out Total Packets; 'tx_bytes': Out Total Octets; 'tx_ucast_pkts': Out Unicast Packets; 'tx_bcast_pkts': Out Broadcast Packets; 'tx_mcast_pkts': Out Multicast Packets; 'tx_dropped_pkts': Out Dropped Packets; 'rx_pkts_too_large': Packet too large: Drop Rx; 'rx_dot1q_ptks': Dot1q Packet: Drop Rx; 'tx_fragmented_pkts': Fragmented Packets; 'rx_reassembled_pkts': Reassembled Packets; 'rx_bad_inner_ipv4_len_pkts': Packets received with Bad Inner IPv4 Payload length; 'rx_bad_inner_ipv6_len_pkts': Packets received with Bad Inner IPv6 Payload length; 'rx_lif_uninit': Lif not UP: Drop Rx; ", "format": "enum"}}}]}}}], "type": "array", "$ref": "/axapi/v3/counter/vtep/{sampling-enable}"}
    :param DeviceProxy: The device proxy for REST operations and session handling. Refer to `common/device_proxy.py`

Class Description::
    Dummy counter object for T1 counters.

    Class counter supports CRUD Operations and inherits from `common/A10BaseClass`.
    This class is the `"PARENT"` class for this module.`

    

    URL for this object::
    `https://<Hostname|Ip address>//axapi/v3/counter`.

    

    
    """
    def __init__(self, **kwargs):
        self.ERROR_MSG = ""
        self.required=[]
        self.b_key = "counter"
        self.a10_url="/axapi/v3/counter"
        self.DeviceProxy = ""
        self.acl_list = []
        self.http_vport_list = []
        self.port_diameter_list = []
        self.vtep_list = []

        for keys, value in kwargs.items():
            setattr(self,keys, value)


