from a10sdk.common.A10BaseClass import A10BaseClass


class SamplingEnable(A10BaseClass):
    
    """This class does not support CRUD Operations please use parent.

    :param counters1: {"enum": ["all", "intcp", "synreceived", "tcp_fwd_last_ack", "tcp_rev_last_ack", "tcp_rev_fin", "tcp_fwd_fin", "tcp_fwd_ackfin", "inudp", "syncookiessent", "syncookiessent_ts", "syncookiessentfailed", "outrst", "outrst_nosyn", "outrst_broker", "outrst_ack_attack", "outrst_aflex", "outrst_stale_sess", "syn_stale_sess", "outrst_tcpproxy", "svrselfail", "noroute", "snat_fail", "snat_no_fwd_route", "snat_no_rev_route", "snat_icmp_error_process", "snat_icmp_no_match", "smart_nat_id_mismatch", "syncookiescheckfailed", "novport_drop", "no_vport_drop", "nosyn_drop", "nosyn_drop_fin", "nosyn_drop_rst", "nosyn_drop_ack", "connlimit_drop", "connlimit_reset", "conn_rate_limit_drop", "conn_rate_limit_reset", "proxy_nosock_drop", "drop_aflex", "sess_aged_out", "tcp_sess_aged_out", "udp_sess_aged_out", "other_sess_aged_out", "tcp_no_slb", "udp_no_slb", "throttle_syn", "drop_gslb", "inband_hm_retry", "inband_hm_reassign", "auto_reassign", "fast_aging_set", "fast_aging_reset", "dns_policy_drop", "tcp_invalid_drop", "anomaly_out_seq", "anomaly_zero_win", "anomaly_bad_content", "anomaly_pbslb_drop", "no_resourse_drop", "reset_unknown_conn", "reset_l7_on_failover", "ignore_msl", "l2_dsr", "l3_dsr", "port_preserve_attempt", "port_preserve_succ", "tcpsyndata_drop", "tcpotherflags_drop", "bw_rate_limit_exceed", "bw_watermark_drop", "l4_cps_exceed", "nat_cps_exceed", "l7_cps_exceed", "ssl_cps_exceed", "ssl_tpt_exceed", "ssl_watermark_drop", "concurrent_conn_exceed", "svr_syn_handshake_fail", "stateless_conn_timeout", "tcp_ax_rexmit_syn", "tcp_syn_rcv_ack", "tcp_syn_rcv_rst", "tcp_sess_noest_aged_out", "tcp_sess_noest_csyn_rcv_aged_out", "tcp_sess_noest_ssyn_xmit_aged_out", "tcp_rexmit_syn", "tcp_rexmit_syn_delq", "tcp_rexmit_synack", "tcp_rexmit_synack_delq", "tcp_fwd_fin_dup", "tcp_rev_fin_dup", "tcp_rev_ackfin", "tcp_fwd_rst", "tcp_rev_rst", "udp_req_oneplus_no_resp", "udp_req_one_oneplus_resp", "udp_req_resp_notmatch", "udp_req_more_resp", "udp_resp_more_req", "udp_req_oneplus", "udp_resp_oneplus", "out_seq_ack_drop", "tcp_est", "synattack", "syn_rate", "syncookie_buff_drop", "syncookie_buff_queue", "skip_insert_client_ip", "synreceived_hw", "dns_id_switch"], "type": "string", "description": "'all': all; 'intcp': TCP received; 'synreceived': TCP SYN received; 'tcp_fwd_last_ack': L4 rcv fwd last ACK; 'tcp_rev_last_ack': L4 rcv rev last ACK; 'tcp_rev_fin': L4 rcv rev FIN; 'tcp_fwd_fin': L4 rcv fwd FIN; 'tcp_fwd_ackfin': L4 rcv fwd FIN|ACK; 'inudp': UDP received; 'syncookiessent': TCP SYN cookie snt; 'syncookiessent_ts': TCP SYN cookie snt ts; 'syncookiessentfailed': TCP SYN cookie snt fail; 'outrst': TCP out RST; 'outrst_nosyn': TCP out RST no SYN; 'outrst_broker': TCP out RST L4 proxy; 'outrst_ack_attack': TCP out RST ACK attack; 'outrst_aflex': TCP out RST aFleX; 'outrst_stale_sess': TCP out RST stale sess; 'syn_stale_sess': SYN stale sess drop; 'outrst_tcpproxy': TCP out RST TCP proxy; 'svrselfail': Server sel failure; 'noroute': IP out noroute; 'snat_fail': Source NAT failure; 'snat_no_fwd_route': Source NAT no fwd route; 'snat_no_rev_route': Source NAT no rev route; 'snat_icmp_error_process': Source NAT ICMP Process; 'snat_icmp_no_match': Source NAT ICMP No Match; 'smart_nat_id_mismatch': Auto NAT id mismatch; 'syncookiescheckfailed': TCP SYN cookie failed; 'novport_drop': NAT no session drops; 'no_vport_drop': vport not matching drops; 'nosyn_drop': No SYN pkt drops; 'nosyn_drop_fin': No SYN pkt drops - FIN; 'nosyn_drop_rst': No SYN pkt drops - RST; 'nosyn_drop_ack': No SYN pkt drops - ACK; 'connlimit_drop': Conn Limit drops; 'connlimit_reset': Conn Limit resets; 'conn_rate_limit_drop': Conn rate limit drops; 'conn_rate_limit_reset': Conn rate limit resets; 'proxy_nosock_drop': Proxy no sock drops; 'drop_aflex': aFleX drops; 'sess_aged_out': Session aged out; 'tcp_sess_aged_out': TCP Session aged out; 'udp_sess_aged_out': UDP Session aged out; 'other_sess_aged_out': Other Session aged out; 'tcp_no_slb': TCP no SLB; 'udp_no_slb': UDP no SLB; 'throttle_syn': SYN Throttle; 'drop_gslb': Drop GSLB; 'inband_hm_retry': Inband HM retry; 'inband_hm_reassign': Inband HM reassign; 'auto_reassign': Auto-reselect server; 'fast_aging_set': Fast aging set; 'fast_aging_reset': Fast aging reset; 'dns_policy_drop': DNS Policy Drop; 'tcp_invalid_drop': TCP invalid drop; 'anomaly_out_seq': Anomaly out of sequence; 'anomaly_zero_win': Anomaly zero window; 'anomaly_bad_content': Anomaly bad content; 'anomaly_pbslb_drop': Anomaly pbslb drop; 'no_resourse_drop': No resource drop; 'reset_unknown_conn': Reset unknown conn; 'reset_l7_on_failover': RST L7 on failover; 'ignore_msl': ignore msl; 'l2_dsr': L2 DSR received; 'l3_dsr': L3 DSR received; 'port_preserve_attempt': NAT Port Preserve Try; 'port_preserve_succ': NAT Port Preserve Succ; 'tcpsyndata_drop': TCP SYN With Data Drop; 'tcpotherflags_drop': TCP SYN Other Flags Drop; 'bw_rate_limit_exceed': BW-Limit Exceed drop; 'bw_watermark_drop': BW-Watermark drop; 'l4_cps_exceed': L4 CPS exceed drop; 'nat_cps_exceed': NAT CPS exceed drop; 'l7_cps_exceed': L7 CPS exceed drop; 'ssl_cps_exceed': SSL CPS exceed drop; 'ssl_tpt_exceed': SSL TPT exceed drop; 'ssl_watermark_drop': SSL TPT-Watermark drop; 'concurrent_conn_exceed': L3V Conn Limit Drop; 'svr_syn_handshake_fail': L4 server handshake fail; 'stateless_conn_timeout': L4 stateless Conn TO; 'tcp_ax_rexmit_syn': L4 AX re-xmit SYN; 'tcp_syn_rcv_ack': L4 rcv ACK on SYN; 'tcp_syn_rcv_rst': L4 rcv RST on SYN; 'tcp_sess_noest_aged_out': TCP no-Est Sess aged out; 'tcp_sess_noest_csyn_rcv_aged_out': no-Est CSYN rcv aged out; 'tcp_sess_noest_ssyn_xmit_aged_out': no-Est SSYN snt aged out; 'tcp_rexmit_syn': L4 rcv rexmit SYN; 'tcp_rexmit_syn_delq': L4 rcv rexmit SYN (delq); 'tcp_rexmit_synack': L4 rcv rexmit SYN|ACK; 'tcp_rexmit_synack_delq': L4 rcv rexmit SYN|ACK DQ; 'tcp_fwd_fin_dup': L4 rcv fwd FIN dup; 'tcp_rev_fin_dup': L4 rcv rev FIN dup; 'tcp_rev_ackfin': L4 rcv rev FIN|ACK; 'tcp_fwd_rst': L4 rcv fwd RST; 'tcp_rev_rst': L4 rcv rev RST; 'udp_req_oneplus_no_resp': L4 UDP reqs no rsp; 'udp_req_one_oneplus_resp': L4 UDP req rsps; 'udp_req_resp_notmatch': L4 UDP req/rsp not match; 'udp_req_more_resp': L4 UDP req greater than rsps; 'udp_resp_more_req': L4 UDP rsps greater than reqs; 'udp_req_oneplus': L4 UDP reqs; 'udp_resp_oneplus': L4 UDP rsps; 'out_seq_ack_drop': Out of sequence ACK drop; 'tcp_est': L4 TCP Established; 'synattack': L4 SYN attack; 'syn_rate': TCP SYN rate per sec; 'syncookie_buff_drop': TCP SYN cookie buff drop; 'syncookie_buff_queue': TCP SYN cookie buff queue; 'skip_insert_client_ip': Skip Insert-client-ip; 'synreceived_hw': TCP SYN (HW SYN cookie); 'dns_id_switch': DNS query id switch; ", "format": "enum"}
    :param DeviceProxy: The device proxy for REST operations and session handling. Refer to `common/device_proxy.py`

    

    
    """
    def __init__(self, **kwargs):
        self.ERROR_MSG = ""
        
        self.b_key = "sampling-enable"
        self.DeviceProxy = ""
        self.counters1 = ""

        for keys, value in kwargs.items():
            setattr(self,keys, value)


class L4(A10BaseClass):
    
    """    :param sampling_enable: {"minItems": 1, "items": {"type": "object"}, "uniqueItems": true, "type": "array", "array": [{"properties": {"optional": true, "counters1": {"enum": ["all", "intcp", "synreceived", "tcp_fwd_last_ack", "tcp_rev_last_ack", "tcp_rev_fin", "tcp_fwd_fin", "tcp_fwd_ackfin", "inudp", "syncookiessent", "syncookiessent_ts", "syncookiessentfailed", "outrst", "outrst_nosyn", "outrst_broker", "outrst_ack_attack", "outrst_aflex", "outrst_stale_sess", "syn_stale_sess", "outrst_tcpproxy", "svrselfail", "noroute", "snat_fail", "snat_no_fwd_route", "snat_no_rev_route", "snat_icmp_error_process", "snat_icmp_no_match", "smart_nat_id_mismatch", "syncookiescheckfailed", "novport_drop", "no_vport_drop", "nosyn_drop", "nosyn_drop_fin", "nosyn_drop_rst", "nosyn_drop_ack", "connlimit_drop", "connlimit_reset", "conn_rate_limit_drop", "conn_rate_limit_reset", "proxy_nosock_drop", "drop_aflex", "sess_aged_out", "tcp_sess_aged_out", "udp_sess_aged_out", "other_sess_aged_out", "tcp_no_slb", "udp_no_slb", "throttle_syn", "drop_gslb", "inband_hm_retry", "inband_hm_reassign", "auto_reassign", "fast_aging_set", "fast_aging_reset", "dns_policy_drop", "tcp_invalid_drop", "anomaly_out_seq", "anomaly_zero_win", "anomaly_bad_content", "anomaly_pbslb_drop", "no_resourse_drop", "reset_unknown_conn", "reset_l7_on_failover", "ignore_msl", "l2_dsr", "l3_dsr", "port_preserve_attempt", "port_preserve_succ", "tcpsyndata_drop", "tcpotherflags_drop", "bw_rate_limit_exceed", "bw_watermark_drop", "l4_cps_exceed", "nat_cps_exceed", "l7_cps_exceed", "ssl_cps_exceed", "ssl_tpt_exceed", "ssl_watermark_drop", "concurrent_conn_exceed", "svr_syn_handshake_fail", "stateless_conn_timeout", "tcp_ax_rexmit_syn", "tcp_syn_rcv_ack", "tcp_syn_rcv_rst", "tcp_sess_noest_aged_out", "tcp_sess_noest_csyn_rcv_aged_out", "tcp_sess_noest_ssyn_xmit_aged_out", "tcp_rexmit_syn", "tcp_rexmit_syn_delq", "tcp_rexmit_synack", "tcp_rexmit_synack_delq", "tcp_fwd_fin_dup", "tcp_rev_fin_dup", "tcp_rev_ackfin", "tcp_fwd_rst", "tcp_rev_rst", "udp_req_oneplus_no_resp", "udp_req_one_oneplus_resp", "udp_req_resp_notmatch", "udp_req_more_resp", "udp_resp_more_req", "udp_req_oneplus", "udp_resp_oneplus", "out_seq_ack_drop", "tcp_est", "synattack", "syn_rate", "syncookie_buff_drop", "syncookie_buff_queue", "skip_insert_client_ip", "synreceived_hw", "dns_id_switch"], "type": "string", "description": "'all': all; 'intcp': TCP received; 'synreceived': TCP SYN received; 'tcp_fwd_last_ack': L4 rcv fwd last ACK; 'tcp_rev_last_ack': L4 rcv rev last ACK; 'tcp_rev_fin': L4 rcv rev FIN; 'tcp_fwd_fin': L4 rcv fwd FIN; 'tcp_fwd_ackfin': L4 rcv fwd FIN|ACK; 'inudp': UDP received; 'syncookiessent': TCP SYN cookie snt; 'syncookiessent_ts': TCP SYN cookie snt ts; 'syncookiessentfailed': TCP SYN cookie snt fail; 'outrst': TCP out RST; 'outrst_nosyn': TCP out RST no SYN; 'outrst_broker': TCP out RST L4 proxy; 'outrst_ack_attack': TCP out RST ACK attack; 'outrst_aflex': TCP out RST aFleX; 'outrst_stale_sess': TCP out RST stale sess; 'syn_stale_sess': SYN stale sess drop; 'outrst_tcpproxy': TCP out RST TCP proxy; 'svrselfail': Server sel failure; 'noroute': IP out noroute; 'snat_fail': Source NAT failure; 'snat_no_fwd_route': Source NAT no fwd route; 'snat_no_rev_route': Source NAT no rev route; 'snat_icmp_error_process': Source NAT ICMP Process; 'snat_icmp_no_match': Source NAT ICMP No Match; 'smart_nat_id_mismatch': Auto NAT id mismatch; 'syncookiescheckfailed': TCP SYN cookie failed; 'novport_drop': NAT no session drops; 'no_vport_drop': vport not matching drops; 'nosyn_drop': No SYN pkt drops; 'nosyn_drop_fin': No SYN pkt drops - FIN; 'nosyn_drop_rst': No SYN pkt drops - RST; 'nosyn_drop_ack': No SYN pkt drops - ACK; 'connlimit_drop': Conn Limit drops; 'connlimit_reset': Conn Limit resets; 'conn_rate_limit_drop': Conn rate limit drops; 'conn_rate_limit_reset': Conn rate limit resets; 'proxy_nosock_drop': Proxy no sock drops; 'drop_aflex': aFleX drops; 'sess_aged_out': Session aged out; 'tcp_sess_aged_out': TCP Session aged out; 'udp_sess_aged_out': UDP Session aged out; 'other_sess_aged_out': Other Session aged out; 'tcp_no_slb': TCP no SLB; 'udp_no_slb': UDP no SLB; 'throttle_syn': SYN Throttle; 'drop_gslb': Drop GSLB; 'inband_hm_retry': Inband HM retry; 'inband_hm_reassign': Inband HM reassign; 'auto_reassign': Auto-reselect server; 'fast_aging_set': Fast aging set; 'fast_aging_reset': Fast aging reset; 'dns_policy_drop': DNS Policy Drop; 'tcp_invalid_drop': TCP invalid drop; 'anomaly_out_seq': Anomaly out of sequence; 'anomaly_zero_win': Anomaly zero window; 'anomaly_bad_content': Anomaly bad content; 'anomaly_pbslb_drop': Anomaly pbslb drop; 'no_resourse_drop': No resource drop; 'reset_unknown_conn': Reset unknown conn; 'reset_l7_on_failover': RST L7 on failover; 'ignore_msl': ignore msl; 'l2_dsr': L2 DSR received; 'l3_dsr': L3 DSR received; 'port_preserve_attempt': NAT Port Preserve Try; 'port_preserve_succ': NAT Port Preserve Succ; 'tcpsyndata_drop': TCP SYN With Data Drop; 'tcpotherflags_drop': TCP SYN Other Flags Drop; 'bw_rate_limit_exceed': BW-Limit Exceed drop; 'bw_watermark_drop': BW-Watermark drop; 'l4_cps_exceed': L4 CPS exceed drop; 'nat_cps_exceed': NAT CPS exceed drop; 'l7_cps_exceed': L7 CPS exceed drop; 'ssl_cps_exceed': SSL CPS exceed drop; 'ssl_tpt_exceed': SSL TPT exceed drop; 'ssl_watermark_drop': SSL TPT-Watermark drop; 'concurrent_conn_exceed': L3V Conn Limit Drop; 'svr_syn_handshake_fail': L4 server handshake fail; 'stateless_conn_timeout': L4 stateless Conn TO; 'tcp_ax_rexmit_syn': L4 AX re-xmit SYN; 'tcp_syn_rcv_ack': L4 rcv ACK on SYN; 'tcp_syn_rcv_rst': L4 rcv RST on SYN; 'tcp_sess_noest_aged_out': TCP no-Est Sess aged out; 'tcp_sess_noest_csyn_rcv_aged_out': no-Est CSYN rcv aged out; 'tcp_sess_noest_ssyn_xmit_aged_out': no-Est SSYN snt aged out; 'tcp_rexmit_syn': L4 rcv rexmit SYN; 'tcp_rexmit_syn_delq': L4 rcv rexmit SYN (delq); 'tcp_rexmit_synack': L4 rcv rexmit SYN|ACK; 'tcp_rexmit_synack_delq': L4 rcv rexmit SYN|ACK DQ; 'tcp_fwd_fin_dup': L4 rcv fwd FIN dup; 'tcp_rev_fin_dup': L4 rcv rev FIN dup; 'tcp_rev_ackfin': L4 rcv rev FIN|ACK; 'tcp_fwd_rst': L4 rcv fwd RST; 'tcp_rev_rst': L4 rcv rev RST; 'udp_req_oneplus_no_resp': L4 UDP reqs no rsp; 'udp_req_one_oneplus_resp': L4 UDP req rsps; 'udp_req_resp_notmatch': L4 UDP req/rsp not match; 'udp_req_more_resp': L4 UDP req greater than rsps; 'udp_resp_more_req': L4 UDP rsps greater than reqs; 'udp_req_oneplus': L4 UDP reqs; 'udp_resp_oneplus': L4 UDP rsps; 'out_seq_ack_drop': Out of sequence ACK drop; 'tcp_est': L4 TCP Established; 'synattack': L4 SYN attack; 'syn_rate': TCP SYN rate per sec; 'syncookie_buff_drop': TCP SYN cookie buff drop; 'syncookie_buff_queue': TCP SYN cookie buff queue; 'skip_insert_client_ip': Skip Insert-client-ip; 'synreceived_hw': TCP SYN (HW SYN cookie); 'dns_id_switch': DNS query id switch; ", "format": "enum"}}}]}
    :param DeviceProxy: The device proxy for REST operations and session handling. Refer to `common/device_proxy.py`

Class Description::
    Show L4 Statistics.

    Class l4 supports CRUD Operations and inherits from `common/A10BaseClass`.
    This class is the `"PARENT"` class for this module.`

    

    URL for this object::
    `https://<Hostname|Ip address>//axapi/v3/slb/l4`.

    

    
    """
    def __init__(self, **kwargs):
        self.ERROR_MSG = ""
        self.required=[]
        self.b_key = "l4"
        self.a10_url="/axapi/v3/slb/l4"
        self.DeviceProxy = ""
        self.sampling_enable = []

        for keys, value in kwargs.items():
            setattr(self,keys, value)


