from a10sdk.common.A10BaseClass import A10BaseClass


class SamplingEnable(A10BaseClass):
    
    """This class does not support CRUD Operations please use parent.

    :param counters1: {"enum": ["all", "curr_proxy", "total_proxy", "curr_http_proxy", "total_http_proxy", "total_v2_proxy", "total_v3_proxy", "curr_stream", "total_stream", "total_stream_succ", "client_rst", "server_rst", "client_goaway", "server_goaway", "tcp_err", "inflate_ctx", "deflate_ctx", "ping_sent", "stream_not_found", "client_fin", "server_fin", "stream_close", "stream_err", "session_err", "control_frame", "syn_frame", "syn_reply_frame", "headers_frame", "settings_frame", "window_frame", "ping_frame", "data_frame", "data_no_stream", "data_no_stream_no_goaway", "data_no_stream_goaway_close", "est_cb_no_tuple", "data_cb_no_tuple", "ctx_alloc_fail", "fin_close_session", "server_rst_close_stream", "stream_found", "close_stream_session_not_found", "close_stream_stream_not_found", "close_stream_already_closed", "close_stream_session_close", "close_session_already_closed", "max_concurrent_stream_limit", "stream_alloc_fail", "http_conn_alloc_fail", "request_header_alloc_fail", "name_value_total_len_ex", "name_value_zero_len", "name_value_invalid_http_ver", "name_value_connection", "name_value_keepalive", "name_value_proxy_conn", "name_value_trasnfer_encod", "name_value_no_must_have", "decompress_fail", "syn_after_goaway", "stream_lt_prev", "syn_stream_exist_or_even", "syn_unidir", "syn_reply_alr_rcvd", "client_rst_nostream", "window_no_stream", "invalid_window_size", "unknown_control_frame", "data_on_closed_stream", "invalid_frame_size", "invalid_version", "header_after_session_close", "compress_ctx_alloc_fail", "header_compress_fail", "http_data_session_close", "http_data_stream_not_found", "close_stream_not_http_proxy", "session_needs_requeue", "new_stream_session_del", "fin_stream_closed", "http_close_stream_closed", "http_err_stream_closed", "http_hdr_stream_close", "http_data_stream_close", "session_close"], "type": "string", "description": "'all': all; 'curr_proxy': Curr Proxy Conns; 'total_proxy': Total Proxy Conns; 'curr_http_proxy': Curr HTTP Proxy Conns; 'total_http_proxy': Total HTTP Proxy Conns; 'total_v2_proxy': Version 2 Streams; 'total_v3_proxy': Version 3 Streams; 'curr_stream': Curr Streams; 'total_stream': Total Streams; 'total_stream_succ': Streams(succ); 'client_rst': client_rst; 'server_rst': Server RST sent; 'client_goaway': client_goaway; 'server_goaway': Server GOAWAY sent; 'tcp_err': TCP sock error; 'inflate_ctx': Inflate context; 'deflate_ctx': Deflate context; 'ping_sent': PING sent; 'stream_not_found': STREAM not found; 'client_fin': Client FIN; 'server_fin': Server FIN; 'stream_close': Stream close; 'stream_err': Stream err; 'session_err': Session err; 'control_frame': Control frame received; 'syn_frame': SYN stream frame received; 'syn_reply_frame': SYN reply frame received; 'headers_frame': Headers frame received; 'settings_frame': Setting frame received; 'window_frame': Window update frame received; 'ping_frame': Ping frame received; 'data_frame': Data frame received; 'data_no_stream': Data no stream found; 'data_no_stream_no_goaway': Data no stream and no goaway; 'data_no_stream_goaway_close': Data no stream and no goaway and close session; 'est_cb_no_tuple': Est callback no tuple; 'data_cb_no_tuple': Data callback no tuple; 'ctx_alloc_fail': Context alloc fail; 'fin_close_session': FIN close session; 'server_rst_close_stream': Server RST close stream; 'stream_found': Stream found; 'close_stream_session_not_found': Close stream session not found; 'close_stream_stream_not_found': Close stream stream not found; 'close_stream_already_closed': Closing closed stream; 'close_stream_session_close': Stream close session close; 'close_session_already_closed': Closing closed session; 'max_concurrent_stream_limit': Max concurrent stream limit; 'stream_alloc_fail': Stream alloc fail; 'http_conn_alloc_fail': HTTP connection allocation fail; 'request_header_alloc_fail': Request/Header allocation fail; 'name_value_total_len_ex': Name value total length exceeded; 'name_value_zero_len': Name value zero name length; 'name_value_invalid_http_ver': Name value invalid http version; 'name_value_connection': Name value connection; 'name_value_keepalive': Name value keep alive; 'name_value_proxy_conn': Name value proxy-connection; 'name_value_trasnfer_encod': Name value transfer encoding; 'name_value_no_must_have': Name value no must have; 'decompress_fail': Decompress fail; 'syn_after_goaway': SYN after goaway; 'stream_lt_prev': Stream id less than previous; 'syn_stream_exist_or_even': Stream already exists; 'syn_unidir': Unidirectional SYN; 'syn_reply_alr_rcvd': SYN reply already received; 'client_rst_nostream': Close RST stream not found; 'window_no_stream': Window update no stream found; 'invalid_window_size': Invalid window size; 'unknown_control_frame': Unknown control frame; 'data_on_closed_stream': Data on closed stream; 'invalid_frame_size': Invalid frame size; 'invalid_version': Invalid version; 'header_after_session_close': Header after session close; 'compress_ctx_alloc_fail': Compression context allocation fail; 'header_compress_fail': Header compress fail; 'http_data_session_close': HTTP data session close; 'http_data_stream_not_found': HTTP data stream not found; 'close_stream_not_http_proxy': Close Stream not http-proxy; 'session_needs_requeue': Session needs requeue; 'new_stream_session_del': New Stream after Session delete; 'fin_stream_closed': HTTP FIN stream already closed; 'http_close_stream_closed': HTTP close stream already closed; 'http_err_stream_closed': HTTP error stream already closed; 'http_hdr_stream_close': HTTP header stream already closed; 'http_data_stream_close': HTTP data stream already closed; 'session_close': Session close; ", "format": "enum"}
    :param DeviceProxy: The device proxy for REST operations and session handling. Refer to `common/device_proxy.py`

    

    
    """
    def __init__(self, **kwargs):
        self.ERROR_MSG = ""
        
        self.b_key = "sampling-enable"
        self.DeviceProxy = ""
        self.counters1 = ""

        for keys, value in kwargs.items():
            setattr(self,keys, value)


class SpdyProxy(A10BaseClass):
    
    """    :param sampling_enable: {"minItems": 1, "items": {"type": "object"}, "uniqueItems": true, "type": "array", "array": [{"properties": {"optional": true, "counters1": {"enum": ["all", "curr_proxy", "total_proxy", "curr_http_proxy", "total_http_proxy", "total_v2_proxy", "total_v3_proxy", "curr_stream", "total_stream", "total_stream_succ", "client_rst", "server_rst", "client_goaway", "server_goaway", "tcp_err", "inflate_ctx", "deflate_ctx", "ping_sent", "stream_not_found", "client_fin", "server_fin", "stream_close", "stream_err", "session_err", "control_frame", "syn_frame", "syn_reply_frame", "headers_frame", "settings_frame", "window_frame", "ping_frame", "data_frame", "data_no_stream", "data_no_stream_no_goaway", "data_no_stream_goaway_close", "est_cb_no_tuple", "data_cb_no_tuple", "ctx_alloc_fail", "fin_close_session", "server_rst_close_stream", "stream_found", "close_stream_session_not_found", "close_stream_stream_not_found", "close_stream_already_closed", "close_stream_session_close", "close_session_already_closed", "max_concurrent_stream_limit", "stream_alloc_fail", "http_conn_alloc_fail", "request_header_alloc_fail", "name_value_total_len_ex", "name_value_zero_len", "name_value_invalid_http_ver", "name_value_connection", "name_value_keepalive", "name_value_proxy_conn", "name_value_trasnfer_encod", "name_value_no_must_have", "decompress_fail", "syn_after_goaway", "stream_lt_prev", "syn_stream_exist_or_even", "syn_unidir", "syn_reply_alr_rcvd", "client_rst_nostream", "window_no_stream", "invalid_window_size", "unknown_control_frame", "data_on_closed_stream", "invalid_frame_size", "invalid_version", "header_after_session_close", "compress_ctx_alloc_fail", "header_compress_fail", "http_data_session_close", "http_data_stream_not_found", "close_stream_not_http_proxy", "session_needs_requeue", "new_stream_session_del", "fin_stream_closed", "http_close_stream_closed", "http_err_stream_closed", "http_hdr_stream_close", "http_data_stream_close", "session_close"], "type": "string", "description": "'all': all; 'curr_proxy': Curr Proxy Conns; 'total_proxy': Total Proxy Conns; 'curr_http_proxy': Curr HTTP Proxy Conns; 'total_http_proxy': Total HTTP Proxy Conns; 'total_v2_proxy': Version 2 Streams; 'total_v3_proxy': Version 3 Streams; 'curr_stream': Curr Streams; 'total_stream': Total Streams; 'total_stream_succ': Streams(succ); 'client_rst': client_rst; 'server_rst': Server RST sent; 'client_goaway': client_goaway; 'server_goaway': Server GOAWAY sent; 'tcp_err': TCP sock error; 'inflate_ctx': Inflate context; 'deflate_ctx': Deflate context; 'ping_sent': PING sent; 'stream_not_found': STREAM not found; 'client_fin': Client FIN; 'server_fin': Server FIN; 'stream_close': Stream close; 'stream_err': Stream err; 'session_err': Session err; 'control_frame': Control frame received; 'syn_frame': SYN stream frame received; 'syn_reply_frame': SYN reply frame received; 'headers_frame': Headers frame received; 'settings_frame': Setting frame received; 'window_frame': Window update frame received; 'ping_frame': Ping frame received; 'data_frame': Data frame received; 'data_no_stream': Data no stream found; 'data_no_stream_no_goaway': Data no stream and no goaway; 'data_no_stream_goaway_close': Data no stream and no goaway and close session; 'est_cb_no_tuple': Est callback no tuple; 'data_cb_no_tuple': Data callback no tuple; 'ctx_alloc_fail': Context alloc fail; 'fin_close_session': FIN close session; 'server_rst_close_stream': Server RST close stream; 'stream_found': Stream found; 'close_stream_session_not_found': Close stream session not found; 'close_stream_stream_not_found': Close stream stream not found; 'close_stream_already_closed': Closing closed stream; 'close_stream_session_close': Stream close session close; 'close_session_already_closed': Closing closed session; 'max_concurrent_stream_limit': Max concurrent stream limit; 'stream_alloc_fail': Stream alloc fail; 'http_conn_alloc_fail': HTTP connection allocation fail; 'request_header_alloc_fail': Request/Header allocation fail; 'name_value_total_len_ex': Name value total length exceeded; 'name_value_zero_len': Name value zero name length; 'name_value_invalid_http_ver': Name value invalid http version; 'name_value_connection': Name value connection; 'name_value_keepalive': Name value keep alive; 'name_value_proxy_conn': Name value proxy-connection; 'name_value_trasnfer_encod': Name value transfer encoding; 'name_value_no_must_have': Name value no must have; 'decompress_fail': Decompress fail; 'syn_after_goaway': SYN after goaway; 'stream_lt_prev': Stream id less than previous; 'syn_stream_exist_or_even': Stream already exists; 'syn_unidir': Unidirectional SYN; 'syn_reply_alr_rcvd': SYN reply already received; 'client_rst_nostream': Close RST stream not found; 'window_no_stream': Window update no stream found; 'invalid_window_size': Invalid window size; 'unknown_control_frame': Unknown control frame; 'data_on_closed_stream': Data on closed stream; 'invalid_frame_size': Invalid frame size; 'invalid_version': Invalid version; 'header_after_session_close': Header after session close; 'compress_ctx_alloc_fail': Compression context allocation fail; 'header_compress_fail': Header compress fail; 'http_data_session_close': HTTP data session close; 'http_data_stream_not_found': HTTP data stream not found; 'close_stream_not_http_proxy': Close Stream not http-proxy; 'session_needs_requeue': Session needs requeue; 'new_stream_session_del': New Stream after Session delete; 'fin_stream_closed': HTTP FIN stream already closed; 'http_close_stream_closed': HTTP close stream already closed; 'http_err_stream_closed': HTTP error stream already closed; 'http_hdr_stream_close': HTTP header stream already closed; 'http_data_stream_close': HTTP data stream already closed; 'session_close': Session close; ", "format": "enum"}}}]}
    :param DeviceProxy: The device proxy for REST operations and session handling. Refer to `common/device_proxy.py`

Class Description::
    Show SPDY Proxy Statistics.

    Class spdy-proxy supports CRUD Operations and inherits from `common/A10BaseClass`.
    This class is the `"PARENT"` class for this module.`

    

    URL for this object::
    `https://<Hostname|Ip address>//axapi/v3/slb/spdy-proxy`.

    

    
    """
    def __init__(self, **kwargs):
        self.ERROR_MSG = ""
        self.required=[]
        self.b_key = "spdy-proxy"
        self.a10_url="/axapi/v3/slb/spdy-proxy"
        self.DeviceProxy = ""
        self.sampling_enable = []

        for keys, value in kwargs.items():
            setattr(self,keys, value)


