from a10sdk.common.A10BaseClass import A10BaseClass


class SamplingEnable(A10BaseClass):
    
    """This class does not support CRUD Operations please use parent.

    :param counters1: {"enum": ["all", "sync_pkt_tx_counter", "sync_pkt_rcv_counter", "sync_rx_create_counter", "sync_rx_del_counter", "sync_rx_update_age_counter", "sync_tx_create_counter", "sync_tx_del_counter", "sync_tx_update_age_counter", "sync_rx_persist_create_counter", "sync_rx_persist_del_counter", "sync_rx_persist_update_age_counter", "sync_tx_persist_create_counter", "sync_tx_persist_del_counter", "sync_tx_persist_update_age_counter", "query_pkt_tx_counter", "query_pkt_rcv_counter", "sync_tx_smp_radius_table_counter", "sync_rx_smp_radius_table_counter", "query_tx_max_packed", "query_tx_min_packed", "query_pkt_invalid_idx_counter", "query_tx_get_buff_failed", "query_rx_zero_info_counter", "query_rx_full_info_counter", "query_rx_unk_counter", "sync_pkt_invalid_idx_counter", "sync_tx_get_buff_failed", "sync_tx_total_info_counter", "sync_tx_create_ext_bit_counter", "sync_tx_update_seqnos_counter", "sync_tx_min_packed", "sync_tx_max_packed", "sync_rx_len_invalid", "sync_persist_rx_len_invalid", "sync_persist_rx_proto_not_supported", "sync_persist_rx_type_invalid", "sync_persist_rx_cannot_process_mandatory", "sync_persist_rx_ext_bit_process_error", "sync_persist_rx_no_such_vport", "sync_persist_rx_vporttype_not_supported", "sync_persist_rx_no_such_rport", "sync_persist_rx_no_such_sg_group", "sync_persist_rx_no_sg_group_info", "sync_persist_rx_conn_get_failed", "sync_rx_no_such_vport", "sync_rx_no_such_rport", "sync_rx_cannot_process_mandatory", "sync_rx_ext_bit_process_error", "sync_rx_create_ext_bit_counter", "sync_rx_conn_exists", "sync_rx_conn_get_failed", "sync_rx_proto_not_supported", "sync_rx_no_dst_for_vport_inline", "sync_rx_no_such_nat_pool", "sync_rx_no_such_sg_node", "sync_rx_del_no_such_session", "sync_rx_type_invalid", "sync_rx_zero_info_counter", "sync_rx_dcmsg_counter", "sync_rx_total_info_counter", "sync_rx_update_seqnos_counter", "sync_rx_unk_counter", "sync_rx_apptype_not_supported", "sync_query_dcmsg_counter", "sync_get_buff_failed_rt", "sync_get_buff_failed_port", "sync_rx_lsn_create_sby", "sync_rx_nat_create_sby", "sync_rx_nat_alloc_sby", "sync_rx_insert_tuple", "sync_rx_sfw", "sync_rx_create_static_sby", "sync_rx_ext_pptp", "sync_rx_ext_rtsp", "sync_rx_reserve_ha", "sync_rx_seq_deltas", "sync_rx_ftp_control", "sync_rx_ext_lsn_acl", "sync_rx_ext_sip_alg", "sync_rx_ext_nat_mac", "sync_tx_lsn_fullcone", "sync_rx_lsn_fullcone", "sync_err_lsn_fullcone"], "type": "string", "description": "'all': all; 'sync_pkt_tx_counter': Conn Sync Sent counter; 'sync_pkt_rcv_counter': Conn Sync Received counter; 'sync_rx_create_counter': Conn Sync Create Session Received counter; 'sync_rx_del_counter': Conn Sync Del Session Received counter; 'sync_rx_update_age_counter': Conn Sync Update Age Received counter; 'sync_tx_create_counter': Conn Sync Create Session Sent counter; 'sync_tx_del_counter': Conn Sync Del Session Sent counter; 'sync_tx_update_age_counter': Conn Sync Update Age Sent counter; 'sync_rx_persist_create_counter': Conn Sync Create Persist Session Pkts Received counter; 'sync_rx_persist_del_counter': Conn Sync Delete Persist Session Pkts Received counter; 'sync_rx_persist_update_age_counter': Conn Sync Update Persist Age Pkts Received counter; 'sync_tx_persist_create_counter': Conn Sync Create Persist Session Pkts Sent counter; 'sync_tx_persist_del_counter': Conn Sync Delete Persist Session Pkts Sent counter; 'sync_tx_persist_update_age_counter': Conn Sync Update Persist Age Pkts Sent counter; 'query_pkt_tx_counter': Conn Query sent counter; 'query_pkt_rcv_counter': Conn Query Received counter; 'sync_tx_smp_radius_table_counter': Conn Sync Update LSN RADIUS Sent counter; 'sync_rx_smp_radius_table_counter': Conn Sync Update LSN RADIUS Received counter; 'query_tx_max_packed': Max Query Msg Per Packet; 'query_tx_min_packed': Min Query Msg Per Packet; 'query_pkt_invalid_idx_counter': Conn Query Invalid Interface; 'query_tx_get_buff_failed': Conn Query Get Buff Failure; 'query_rx_zero_info_counter': Conn Query Packet Empty; 'query_rx_full_info_counter': Conn Query Packet Full; 'query_rx_unk_counter': Conn Query Unknown Type; 'sync_pkt_invalid_idx_counter': Conn Sync Invalid Interface; 'sync_tx_get_buff_failed': Conn Sync Get Buff Failure; 'sync_tx_total_info_counter': Conn Sync Total Info Pkts Sent counter; 'sync_tx_create_ext_bit_counter': Conn Sync Create with Ext Sent counter; 'sync_tx_update_seqnos_counter': Conn Sync Update Seq Num Sent counter; 'sync_tx_min_packed': Max Sync Msg Per Packet; 'sync_tx_max_packed': Min Sync Msg Per Packet; 'sync_rx_len_invalid': Conn Sync Length Invalid; 'sync_persist_rx_len_invalid': Persist Conn Sync Length Invalid; 'sync_persist_rx_proto_not_supported': Persist Conn Sync Protocol Invalid; 'sync_persist_rx_type_invalid': Persist Conn Sync Type Invalid; 'sync_persist_rx_cannot_process_mandatory': Persist Conn Sync Process Mandatory Invalid; 'sync_persist_rx_ext_bit_process_error': Persist Conn Sync Proc Ext Bit Failure; 'sync_persist_rx_no_such_vport': Persist Conn Sync Virt Port Not Found; 'sync_persist_rx_vporttype_not_supported': Persist Conn Sync Virt Port Type Invalid; 'sync_persist_rx_no_such_rport': Persist Conn Sync Real Port Not Found; 'sync_persist_rx_no_such_sg_group': Persist Conn Sync No Service Group Found; 'sync_persist_rx_no_sg_group_info': Persist Conn Sync No Service Group Info Found; 'sync_persist_rx_conn_get_failed': Persist Conn Sync Get Conn Failure; 'sync_rx_no_such_vport': Conn Sync Virt Port Not Found; 'sync_rx_no_such_rport': Conn Sync Real Port Not Found; 'sync_rx_cannot_process_mandatory': Conn Sync Process Mandatory Invalid; 'sync_rx_ext_bit_process_error': Conn Sync Proc Ext Bit Failure; 'sync_rx_create_ext_bit_counter': Conn Sync Create with Ext Received counter; 'sync_rx_conn_exists': Conn Sync Create Conn Exists; 'sync_rx_conn_get_failed': Conn Sync Get Conn Failure; 'sync_rx_proto_not_supported': Conn Sync Protocol Invalid; 'sync_rx_no_dst_for_vport_inline': Conn Sync 'dst' not found for vport inline; 'sync_rx_no_such_nat_pool': Conn Sync NAT Pool Error; 'sync_rx_no_such_sg_node': Conn Sync no SG node found; 'sync_rx_del_no_such_session': Conn Sync Del Conn not Found; 'sync_rx_type_invalid': Conn Sync Type Invalid; 'sync_rx_zero_info_counter': Conn Sync Packet Empty; 'sync_rx_dcmsg_counter': Conn Sync forward CPU; 'sync_rx_total_info_counter': Conn Sync Total Info Pkts Received counter; 'sync_rx_update_seqnos_counter': Conn Sync Update Seq Num Received counter; 'sync_rx_unk_counter': Conn Sync Unknown Type; 'sync_rx_apptype_not_supported': Conn Sync App Type Invalid; 'sync_query_dcmsg_counter': Conn Sync query forward CPU; 'sync_get_buff_failed_rt': Conn Sync Get Buff Failure No Route; 'sync_get_buff_failed_port': Conn Sync Get Buff Failure Wrong Port; 'sync_rx_lsn_create_sby': Conn Sync LSN Create Standby; 'sync_rx_nat_create_sby': Conn Sync NAT Create Standby; 'sync_rx_nat_alloc_sby': Conn Sync NAT Alloc Standby; 'sync_rx_insert_tuple': Conn Sync Insert Tuple; 'sync_rx_sfw': Conn Sync SFW; 'sync_rx_create_static_sby': Conn Sync Create Static Standby; 'sync_rx_ext_pptp': Conn Sync Ext PPTP; 'sync_rx_ext_rtsp': Conn Sync Ext RTSP; 'sync_rx_reserve_ha': Conn Sync Reserve HA Conn; 'sync_rx_seq_deltas': Conn Sync Seq Deltas Failure; 'sync_rx_ftp_control': Conn Sync FTP Control Failure; 'sync_rx_ext_lsn_acl': Conn Sync LSN ACL Failure; 'sync_rx_ext_sip_alg': Conn Sync SIP TCP ALG Failure; 'sync_rx_ext_nat_mac': Conn Sync NAT MAC Failure; 'sync_tx_lsn_fullcone': Conn Sync Update LSN Fullcone Sent counter; 'sync_rx_lsn_fullcone': Conn Sync Update LSN Fullcone Received counter; 'sync_err_lsn_fullcone': Conn Sync LSN Fullcone Failure; ", "format": "enum"}
    :param DeviceProxy: The device proxy for REST operations and session handling. Refer to `common/device_proxy.py`

    

    
    """
    def __init__(self, **kwargs):
        self.ERROR_MSG = ""
        
        self.b_key = "sampling-enable"
        self.DeviceProxy = ""
        self.counters1 = ""

        for keys, value in kwargs.items():
            setattr(self,keys, value)


class State(A10BaseClass):
    
    """    :param sampling_enable: {"minItems": 1, "items": {"type": "object"}, "uniqueItems": true, "type": "array", "array": [{"properties": {"optional": true, "counters1": {"enum": ["all", "sync_pkt_tx_counter", "sync_pkt_rcv_counter", "sync_rx_create_counter", "sync_rx_del_counter", "sync_rx_update_age_counter", "sync_tx_create_counter", "sync_tx_del_counter", "sync_tx_update_age_counter", "sync_rx_persist_create_counter", "sync_rx_persist_del_counter", "sync_rx_persist_update_age_counter", "sync_tx_persist_create_counter", "sync_tx_persist_del_counter", "sync_tx_persist_update_age_counter", "query_pkt_tx_counter", "query_pkt_rcv_counter", "sync_tx_smp_radius_table_counter", "sync_rx_smp_radius_table_counter", "query_tx_max_packed", "query_tx_min_packed", "query_pkt_invalid_idx_counter", "query_tx_get_buff_failed", "query_rx_zero_info_counter", "query_rx_full_info_counter", "query_rx_unk_counter", "sync_pkt_invalid_idx_counter", "sync_tx_get_buff_failed", "sync_tx_total_info_counter", "sync_tx_create_ext_bit_counter", "sync_tx_update_seqnos_counter", "sync_tx_min_packed", "sync_tx_max_packed", "sync_rx_len_invalid", "sync_persist_rx_len_invalid", "sync_persist_rx_proto_not_supported", "sync_persist_rx_type_invalid", "sync_persist_rx_cannot_process_mandatory", "sync_persist_rx_ext_bit_process_error", "sync_persist_rx_no_such_vport", "sync_persist_rx_vporttype_not_supported", "sync_persist_rx_no_such_rport", "sync_persist_rx_no_such_sg_group", "sync_persist_rx_no_sg_group_info", "sync_persist_rx_conn_get_failed", "sync_rx_no_such_vport", "sync_rx_no_such_rport", "sync_rx_cannot_process_mandatory", "sync_rx_ext_bit_process_error", "sync_rx_create_ext_bit_counter", "sync_rx_conn_exists", "sync_rx_conn_get_failed", "sync_rx_proto_not_supported", "sync_rx_no_dst_for_vport_inline", "sync_rx_no_such_nat_pool", "sync_rx_no_such_sg_node", "sync_rx_del_no_such_session", "sync_rx_type_invalid", "sync_rx_zero_info_counter", "sync_rx_dcmsg_counter", "sync_rx_total_info_counter", "sync_rx_update_seqnos_counter", "sync_rx_unk_counter", "sync_rx_apptype_not_supported", "sync_query_dcmsg_counter", "sync_get_buff_failed_rt", "sync_get_buff_failed_port", "sync_rx_lsn_create_sby", "sync_rx_nat_create_sby", "sync_rx_nat_alloc_sby", "sync_rx_insert_tuple", "sync_rx_sfw", "sync_rx_create_static_sby", "sync_rx_ext_pptp", "sync_rx_ext_rtsp", "sync_rx_reserve_ha", "sync_rx_seq_deltas", "sync_rx_ftp_control", "sync_rx_ext_lsn_acl", "sync_rx_ext_sip_alg", "sync_rx_ext_nat_mac", "sync_tx_lsn_fullcone", "sync_rx_lsn_fullcone", "sync_err_lsn_fullcone"], "type": "string", "description": "'all': all; 'sync_pkt_tx_counter': Conn Sync Sent counter; 'sync_pkt_rcv_counter': Conn Sync Received counter; 'sync_rx_create_counter': Conn Sync Create Session Received counter; 'sync_rx_del_counter': Conn Sync Del Session Received counter; 'sync_rx_update_age_counter': Conn Sync Update Age Received counter; 'sync_tx_create_counter': Conn Sync Create Session Sent counter; 'sync_tx_del_counter': Conn Sync Del Session Sent counter; 'sync_tx_update_age_counter': Conn Sync Update Age Sent counter; 'sync_rx_persist_create_counter': Conn Sync Create Persist Session Pkts Received counter; 'sync_rx_persist_del_counter': Conn Sync Delete Persist Session Pkts Received counter; 'sync_rx_persist_update_age_counter': Conn Sync Update Persist Age Pkts Received counter; 'sync_tx_persist_create_counter': Conn Sync Create Persist Session Pkts Sent counter; 'sync_tx_persist_del_counter': Conn Sync Delete Persist Session Pkts Sent counter; 'sync_tx_persist_update_age_counter': Conn Sync Update Persist Age Pkts Sent counter; 'query_pkt_tx_counter': Conn Query sent counter; 'query_pkt_rcv_counter': Conn Query Received counter; 'sync_tx_smp_radius_table_counter': Conn Sync Update LSN RADIUS Sent counter; 'sync_rx_smp_radius_table_counter': Conn Sync Update LSN RADIUS Received counter; 'query_tx_max_packed': Max Query Msg Per Packet; 'query_tx_min_packed': Min Query Msg Per Packet; 'query_pkt_invalid_idx_counter': Conn Query Invalid Interface; 'query_tx_get_buff_failed': Conn Query Get Buff Failure; 'query_rx_zero_info_counter': Conn Query Packet Empty; 'query_rx_full_info_counter': Conn Query Packet Full; 'query_rx_unk_counter': Conn Query Unknown Type; 'sync_pkt_invalid_idx_counter': Conn Sync Invalid Interface; 'sync_tx_get_buff_failed': Conn Sync Get Buff Failure; 'sync_tx_total_info_counter': Conn Sync Total Info Pkts Sent counter; 'sync_tx_create_ext_bit_counter': Conn Sync Create with Ext Sent counter; 'sync_tx_update_seqnos_counter': Conn Sync Update Seq Num Sent counter; 'sync_tx_min_packed': Max Sync Msg Per Packet; 'sync_tx_max_packed': Min Sync Msg Per Packet; 'sync_rx_len_invalid': Conn Sync Length Invalid; 'sync_persist_rx_len_invalid': Persist Conn Sync Length Invalid; 'sync_persist_rx_proto_not_supported': Persist Conn Sync Protocol Invalid; 'sync_persist_rx_type_invalid': Persist Conn Sync Type Invalid; 'sync_persist_rx_cannot_process_mandatory': Persist Conn Sync Process Mandatory Invalid; 'sync_persist_rx_ext_bit_process_error': Persist Conn Sync Proc Ext Bit Failure; 'sync_persist_rx_no_such_vport': Persist Conn Sync Virt Port Not Found; 'sync_persist_rx_vporttype_not_supported': Persist Conn Sync Virt Port Type Invalid; 'sync_persist_rx_no_such_rport': Persist Conn Sync Real Port Not Found; 'sync_persist_rx_no_such_sg_group': Persist Conn Sync No Service Group Found; 'sync_persist_rx_no_sg_group_info': Persist Conn Sync No Service Group Info Found; 'sync_persist_rx_conn_get_failed': Persist Conn Sync Get Conn Failure; 'sync_rx_no_such_vport': Conn Sync Virt Port Not Found; 'sync_rx_no_such_rport': Conn Sync Real Port Not Found; 'sync_rx_cannot_process_mandatory': Conn Sync Process Mandatory Invalid; 'sync_rx_ext_bit_process_error': Conn Sync Proc Ext Bit Failure; 'sync_rx_create_ext_bit_counter': Conn Sync Create with Ext Received counter; 'sync_rx_conn_exists': Conn Sync Create Conn Exists; 'sync_rx_conn_get_failed': Conn Sync Get Conn Failure; 'sync_rx_proto_not_supported': Conn Sync Protocol Invalid; 'sync_rx_no_dst_for_vport_inline': Conn Sync 'dst' not found for vport inline; 'sync_rx_no_such_nat_pool': Conn Sync NAT Pool Error; 'sync_rx_no_such_sg_node': Conn Sync no SG node found; 'sync_rx_del_no_such_session': Conn Sync Del Conn not Found; 'sync_rx_type_invalid': Conn Sync Type Invalid; 'sync_rx_zero_info_counter': Conn Sync Packet Empty; 'sync_rx_dcmsg_counter': Conn Sync forward CPU; 'sync_rx_total_info_counter': Conn Sync Total Info Pkts Received counter; 'sync_rx_update_seqnos_counter': Conn Sync Update Seq Num Received counter; 'sync_rx_unk_counter': Conn Sync Unknown Type; 'sync_rx_apptype_not_supported': Conn Sync App Type Invalid; 'sync_query_dcmsg_counter': Conn Sync query forward CPU; 'sync_get_buff_failed_rt': Conn Sync Get Buff Failure No Route; 'sync_get_buff_failed_port': Conn Sync Get Buff Failure Wrong Port; 'sync_rx_lsn_create_sby': Conn Sync LSN Create Standby; 'sync_rx_nat_create_sby': Conn Sync NAT Create Standby; 'sync_rx_nat_alloc_sby': Conn Sync NAT Alloc Standby; 'sync_rx_insert_tuple': Conn Sync Insert Tuple; 'sync_rx_sfw': Conn Sync SFW; 'sync_rx_create_static_sby': Conn Sync Create Static Standby; 'sync_rx_ext_pptp': Conn Sync Ext PPTP; 'sync_rx_ext_rtsp': Conn Sync Ext RTSP; 'sync_rx_reserve_ha': Conn Sync Reserve HA Conn; 'sync_rx_seq_deltas': Conn Sync Seq Deltas Failure; 'sync_rx_ftp_control': Conn Sync FTP Control Failure; 'sync_rx_ext_lsn_acl': Conn Sync LSN ACL Failure; 'sync_rx_ext_sip_alg': Conn Sync SIP TCP ALG Failure; 'sync_rx_ext_nat_mac': Conn Sync NAT MAC Failure; 'sync_tx_lsn_fullcone': Conn Sync Update LSN Fullcone Sent counter; 'sync_rx_lsn_fullcone': Conn Sync Update LSN Fullcone Received counter; 'sync_err_lsn_fullcone': Conn Sync LSN Fullcone Failure; ", "format": "enum"}}}]}
    :param DeviceProxy: The device proxy for REST operations and session handling. Refer to `common/device_proxy.py`

Class Description::
    HA VRRP-A Global Commands.

    Class state supports CRUD Operations and inherits from `common/A10BaseClass`.
    This class is the `"PARENT"` class for this module.`

    

    URL for this object::
    `https://<Hostname|Ip address>//axapi/v3/vrrp-a/state`.

    

    
    """
    def __init__(self, **kwargs):
        self.ERROR_MSG = ""
        self.required=[]
        self.b_key = "state"
        self.a10_url="/axapi/v3/vrrp-a/state"
        self.DeviceProxy = ""
        self.sampling_enable = []

        for keys, value in kwargs.items():
            setattr(self,keys, value)


